%define name avahi
%define version 0.6.31

%define release %mkrel 7

%define client_name     %{name}-client
%define common_name     %{name}-common
%define core_name       %{name}-core
%define dns_sd_name     %{name}-compat-libdns_sd
%define glib_name       %{name}-glib
%define gobject_name    %name-gobject
%define howl_name       %{name}-compat-howl
%define qt3_name        %{name}-qt3
%define qt4_name        %{name}-qt4
%define ui_name         %{name}-ui

%define dns_sd_old_name mDNSResponder
%define howl_old_name   howl

%define client_major 3
%define common_major 3
%define core_major 7
%define dns_sd_major 1
%define glib_major 1
%define gobject_major 0
%define howl_major 0
%define qt3_major 1
%define qt4_major 1
%define ui_major 0

%define lib_client_name %mklibname %{client_name} %{client_major}
%define develnameclient %mklibname -d %client_name
%define lib_common_name %mklibname %{common_name} %{common_major}
%define develnamecommon %mklibname -d %common_name
%define lib_core_name   %mklibname %{core_name} %{core_major}
%define develnamecore   %mklibname -d %core_name
%define lib_dns_sd_name %mklibname %{dns_sd_name} %{dns_sd_major}
%define develnamedns_sd %mklibname -d %dns_sd_name
%define lib_glib_name   %mklibname %{glib_name} %{glib_major}
%define develnameglib   %mklibname -d %glib_name
%define lib_gobject_name   %mklibname %{gobject_name} %{gobject_major}
%define develnamegobject   %mklibname -d %gobject_name
%define lib_howl_name   %mklibname %{howl_name} %{howl_major}
%define develnamehowl   %mklibname -d %howl_name
%define lib_qt3_name    %mklibname %{qt3_name}_ %{qt3_major}
%define develnameqt3    %mklibname -d %{qt3_name}
%define lib_qt4_name    %mklibname %{qt4_name}_ %{qt4_major}
%define develnameqt4	%mklibname -d %qt4_name
%define lib_ui_name     %mklibname %{ui_name} %{qt3_major}
%define develnameui     %mklibname -d %ui_name

%define lib_dns_sd_old_name %mklibname %{dns_sd_old_name} 1
%define lib_howl_old_name   %mklibname %{howl_old_name} 0
%define lib_howl_fake_EVR   1.0.0-7mdk

%define build_mono 1
%{?_with_mono: %{expand: %%global build_mono 1}} 
%{?_without_mono: %{expand: %%global build_mono 0}} 

%ifarch %arm %mips
%define build_mono 0
%endif

%define build_qt4 1
%{?_with_qt4: %{expand: %%global build_qt4 1}}
%{?_without_qt4: %{expand: %%global build_qt4 0}}

%define build_bootstrap 0
%{?_with_bootstrap: %{expand: %%global build_bootstrap 1}}
%if %{build_bootstrap}
%define build_mono 0
%define build_qt4 0
%endif

Summary: Avahi service discovery (mDNS/DNS-SD) suite
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://avahi.org/download/%{name}-%{version}.tar.xz
Source1: avahi-hostname.sh
Patch1:	 avahi.patch
Patch2: avahi-0.6.31-undef-GTK_DISABLE_DEPRECATED.patch
License: LGPLv2+
Group: System/Servers
Url: http://avahi.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	daemon-devel
BuildRequires:	dbus-devel
BuildRequires:	dbus-python
BuildRequires:	libexpat-devel >= 2.0.1
BuildRequires:	libgdbm-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	pygtk2.0
#BuildRequires:	qt3-devel
BuildRequires:  libcap-devel
%if %build_qt4
BuildRequires:	qt4-devel
%endif
BuildRequires: intltool
BuildRequires: libgtk+3.0-devel
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(post): dbus
Requires(preun): dbus
Obsoletes: howl
Provides: howl
Obsoletes: tmdns
Provides: tmdns
Obsoletes: mDNSResponder
Provides: mDNSResponder

%description
Avahi is a system which facilitates service discovery on a local
network -- this means that you can plug your laptop or computer into a
network and instantly be able to view other people who you can chat
with, find printers to print to or find files being shared. This kind
of technology is already found in MacOS X (branded 'Rendezvous',
'Bonjour' and sometimes 'ZeroConf') and is very convenient.
%description -l de
Avahi ist ein System, das das Anmelden an einem Netzwerk erleichtert.
Das heißt, via Plug können Laptop oder Computer in einem Netzwerk sofort 
mit anderen Usern chatten oder über den Netzwerk-Drucker drucken oder 
einfach Dateien freigeben. Diese Art der Technologie ist bereits in MacOS X 
(Markenartikel Rendezvous , Bonjour und manchmal ZeroConf ') vorhanden 
und ist sehr bequem. 

%package dnsconfd
Group: System/Servers
Summary: Avahi DNS configuration server
Summary(de): Avahi DNS-Server-Konfiguration.
Requires: %{name} = %{version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
%description dnsconfd
avahi-dnsconfd is a small daemon which may be used to configure
conventional DNS servers using mDNS in a DHCP-like fashion.
Especially useful on IPv6.
%description dnsconfd -l de
avahi-dnsconfd ist ein kleiner Daemon zum konfigurieren von 
konventionellen DNS-Servern mit mDNS in einer DHCP-ähnlichen Art. 
Besonders nützlich in IPv6. 

%package x11
Group: System/Servers
Summary: Graphical tools for Avahi
Summary(de): Grafische Tools für Avahi.
Requires: %{name} = %{version}
%description x11
Graphical tools for Avahi.
It includes avahi-discover-standalone.
%description x11 -l de
Grafische Tools für Avahi. 
Es umfasst avahi-Discover-Standalone. 

%package python
Group: System/Libraries
Summary: Python bindings and utilities for Avahi
Summary(de): Python-Bindungen und Utilities für Avahi.
Requires: pygtk2.0-libglade python-twisted-core
Requires: python-twisted-web dbus-python avahi 
Requires: %{name}-x11
%description python
Python bindings and utilities for Avahi.
It includes avahi-bookmarks and avahi-discover.
%description python -l de
Python-Bindungen und Utilities für Avahi. 
Es umfasst avahi-Lesezeichen und-avahi discover. 

%if %build_mono
%package sharp
Group: System/Libraries
Summary: Mono bindings for Avahi
Summary(de): Mono-Bindungen für Avahi. 
BuildRequires: mono-devel mono-tools
#gw this is needed by mono-find-requires:
BuildRequires: avahi-ui-devel
Requires: %lib_client_name = %version
Requires: %lib_common_name = %version
Requires: %lib_glib_name = %version
%description sharp
Mono bindings for Avahi.
%description sharp -l de
Mono-Bindungen für Avahi.  

%package sharp-doc
Summary: Development documentation for avahi-sharp
Summary(de): Entwickler Dokumentation für avahi-sharp
Group: Books/Computer books
Requires(post): mono-tools >= 1.1.9
Requires(postun): mono-tools >= 1.1.9

%description sharp-doc
This package contains the API documentation for the avahi-sharp in
Monodoc format.
%description sharp-doc -l de
Dieses Paket enthält die API Dokumentation für avahi-sharp im 
Monodoc Format. 
%endif

%package -n %{lib_client_name}
Group: System/Libraries
Summary: Library for avahi-client
Summary(de): Bibliotheken für den avahi-Client
Requires: %{name} >= %{version}
%description -n %{lib_client_name}
Library for avahi-client.
%description -n %{lib_client_name} -l de
Bibliotheken für den avahi-Client

%package -n %develnameclient
Group: Development/Libraries
Summary: Devel library for avahi-client
Summary(de): Devel Bibliotheken für den avahi-Client
Provides: %{client_name}-devel = %{version}-%{release}
Provides: lib%{client_name}-devel = %{version}-%{release}
Requires: %{lib_client_name} = %{version}
Obsoletes: %mklibname -d %client_name 3
%description -n %develnameclient
Devel library for avahi-client.
%description -n %develnameclient -l de
Devel Bibliotheken für den avahi-Client

%package -n %{lib_common_name}
Group: System/Libraries
Summary: Library for avahi-common
Summary(de): Bibliotheken für avahi-common
%description -n %{lib_common_name}
Library for avahi-common.
%description -n %{lib_common_name} -l de
Bibliotheken für avahi-common

%package -n %develnamecommon
Group: Development/Libraries
Summary: Devel library for avahi-common
Summary(de): Devel Bibliotheken für avahi-common
Provides: %{common_name}-devel = %{version}-%{release}
Provides: lib%{common_name}-devel = %{version}-%{release}
Requires: %{lib_common_name} = %{version}
Obsoletes: %mklibname -d %common_name 3
%description -n %develnamecommon
Devel library for avahi-common.
%description -n %develnamecommon -l de
Devel Bibliotheken für avahi-common

%package -n %{lib_core_name}
Group: System/Libraries
Summary: Library for avahi-core
Summary(de): Bibliotheken für avahi-core
%description -n %{lib_core_name}
Library for avahi-core.
%description -n %{lib_core_name} -l de
Bibliotheken für avahi-core

%package -n %develnamecore
Group: Development/Libraries
Summary: Devel library for avahi-core
Summary(de): Devel Bibliotheken für avahi-core
Provides: %{core_name}-devel = %{version}-%{release}
Provides: lib%{core_name}-devel = %{version}-%{release}
Requires: %{lib_core_name} = %{version}
Obsoletes: %mklibname -d %core_name 5
Obsoletes: %mklibname -d %core_name 6
%description -n %develnamecore
Devel library for avahi-core.
%description -n %develnamecore -l de
Devel Bibliotheken für avahi-core

%package -n %{lib_dns_sd_name}
Group: System/Libraries
Summary: Avahi compatibility library for libdns_sd
Summary(de): Avahi-Kompatibilitäts Bibliotheken für libdns_sd
Obsoletes: %{lib_dns_sd_old_name}
Provides: %{lib_dns_sd_old_name}
%description -n %{lib_dns_sd_name}
Avahi compatibility library for libdns_sd
%description -n %{lib_dns_sd_name} -l de
Avahi-Kompatibilitäts Bibliotheken für libdns_sd

%package -n %develnamedns_sd
Group: Development/Libraries
Summary: Avahi devel compatibility library for libdns_sd
Summary(de): Avahi Devel Kompatibilitäts Bibliotheken für libdns_sd
Provides: %{dns_sd_name}-devel = %{version}-%{release}
Provides: lib%{dns_sd_name}-devel = %{version}-%{release}
Requires: %{lib_dns_sd_name} = %{version}
Obsoletes: %{lib_dns_sd_old_name}-devel
Provides: %{lib_dns_sd_old_name}-devel
Provides: %{dns_sd_old_name}-devel = %{version}-%{release}
Provides: lib%{dns_sd_old_name}-devel = %{version}-%{release}
Obsoletes: %mklibname -d %dns_sd_name 1
%description -n %develnamedns_sd
Avahi devel compatibility library for libdns_sd.
%description -n %develnamedns_sd -l de
Avahi Devel Kompatibilitäts Bibliotheken für libdns_sd

%package -n %{lib_glib_name}
Group: System/Libraries
Summary: Library for avahi-glib
Summary(de): Bibliotheken für avahi-glib
%description -n %{lib_glib_name}
Library for avahi-glib.
%description -n %{lib_glib_name} -l de
Bibliotheken für avahi-glib

%package -n %develnameglib
Group: Development/Libraries
Summary: Devel library for avahi-glib
Summary(de): Devel Bibliotheken für avahi-glib
Provides: %{glib_name}-devel = %{version}-%{release}
Provides: lib%{glib_name}-devel = %{version}-%{release}
Requires: %{lib_glib_name} = %{version}
Obsoletes: %mklibname -d %glib_name 1
%description -n %develnameglib
Devel library for avahi-glib.
%description -n %develnameglib -l de
Devel Bibliotheken für avahi-glib

%package -n %{lib_gobject_name}
Group: System/Libraries
Summary: Library for avahi-gobject
Summary(de): Bibliotheken für avahi-gobject
%description -n %{lib_gobject_name}
Library for avahi-gobject.
%description -n %{lib_gobject_name} -l de
Bibliotheken für avahi-gobject

%package -n %develnamegobject
Group: Development/Libraries
Summary: Devel library for avahi-gobject
Summary(de): Devel Bibliotheken für avahi-gobject
Provides: %{gobject_name}-devel = %{version}-%{release}
Provides: lib%{gobject_name}-devel = %{version}-%{release}
Requires: %{lib_gobject_name} = %{version}
%description -n %develnamegobject
Devel library for avahi-gobject.
%description -n %develnamegobject -l de
Devel Bibliotheken für avahi-gobject

%package -n %{lib_howl_name}
Group: System/Libraries
Summary: Avahi compatibility library for howl
Summary(de): Avahi Kompatibilitäts Bibliotheken für howl
Obsoletes: %{lib_howl_old_name}
Provides: %{lib_howl_old_name} = %{lib_howl_fake_EVR}
%description -n %{lib_howl_name}
Avahi compatibility library for howl.
%description -n %{lib_howl_name} -l de
Avahi Kompatibilitäts Bibliotheken für howl

%package -n %develnamehowl
Group: Development/Libraries
Summary: Avahi devel compatibility library for libdns_sd for howl
Summary(de): Avahi Devel Kompatibilitäts Bibliotheken für libdns_sd für howl
Provides: %{howl_name}-devel = %{version}-%{release}
Provides: lib%{howl_name}-devel = %{version}-%{release}
Requires: %{lib_howl_name} = %{version}
Obsoletes: %{lib_howl_old_name}-devel
Provides: %{lib_howl_old_name}-devel = %{lib_howl_fake_EVR}
Provides: %{howl_old_name}-devel = %{version}-%{release}
Provides: lib%{howl_old_name}-devel = %{version}-%{release}
Obsoletes: %mklibname -d %howl_name 0
%description -n %develnamehowl
Avahi devel compatibility library for libdns_sd for howl.
%description -n %develnamehowl -l de
Avahi Devel Kompatibilitäts Bibliotheken für libdns_sd für howl

%package -n %{lib_qt3_name}
Group: System/Libraries
Summary: Library for avahi-qt3
Summary(de): Bibliotheken für avahi-qt3
%description -n %{lib_qt3_name}
Library for avahi-qt3.
%description -n %{lib_qt3_name} -l de
Bibliotheken für avahi-qt3

%package -n %develnameqt3
Group: Development/Libraries
Summary: Devel library for avahi-qt3
Summary(de): Devel Bibliotheken für avahi-qt3
Provides: %{qt3_name}-devel = %{version}-%{release}
Provides: lib%{qt3_name}-devel = %{version}-%{release}
Requires: %{lib_qt3_name} = %{version}
Obsoletes: %mklibname -d %{qt3_name}_ 1
%description -n %{develnameqt3}
Devel library for avahi-qt3.
%description -n %{develnameqt3} -l de
Devel Bibliotheken für avahi-qt3

%if %build_qt4
%package -n %{lib_qt4_name}
Group: System/Libraries
Summary: Library for avahi-qt4
Summary(de): Bibliotheken für avahi-qt4
%description -n %{lib_qt4_name}
Library for avahi-qt4.
%description -n %{lib_qt4_name} -l de
Bibliotheken für avahi-qt4

%package -n %develnameqt4
Group: Development/Libraries
Summary: Devel library for avahi-qt4
Summary(de): Devel Bibliotheken für avahi-qt4
Provides: %{qt4_name}-devel = %{version}-%{release}
Provides: lib%{qt4_name}-devel = %{version}-%{release}
Requires: %{lib_qt4_name} = %{version}
Obsoletes: %mklibname -d %{qt4_name}_ 1
%description -n %develnameqt4
Devel library for avahi-qt4.
%description -n %develnameqt4 -l de
Devel Bibliotheken für avahi-qt4
%endif

%package -n %{lib_ui_name}
Group: System/Libraries
Summary: Library for avahi-ui
Summary(de): Bibliotheken für avahi-ui
%description -n %{lib_ui_name}
Library for avahi-ui.
%description -n %{lib_ui_name} -l de
Bibliotheken für avahi-ui


%package -n %{lib_ui_name}-gtk3
Group: System/Libraries
Summary: Library for avahi-ui
Summary(de): Bibliotheken für avahi-ui
%description -n %{lib_ui_name}-gtk3
Library for avahi-ui.
%description -n %{lib_ui_name} -l de
Bibliotheken für avahi-ui


%package -n %develnameui
Group: Development/Libraries
Summary: Devel library for avahi-ui
Summary(de): Devel Bibliotheken für avahi-ui
Provides: %{ui_name}-devel = %{version}-%{release}
Provides: lib%{ui_name}-devel = %{version}-%{release}
Requires: %{lib_ui_name} = %{version}
Obsoletes: %mklibname -d %{ui_name} 1
%description -n %develnameui
Devel library for avahi-ui.
%description -n %develnameui -l de
Devel Bibliotheken für avahi-ui

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
autoreconf -vfi
export PKG_CONFIG_PATH=/usr/lib/qt4/%{_lib}/pkgconfig
%configure2_5x \
%if !%build_mono
    --disable-mono \
%endif
%if !%build_qt4
    --disable-qt4 \
%endif
  --localstatedir=%{_var} \
  --with-avahi-priv-access-group="avahi" \
  --enable-compat-libdns_sd \
  --enable-compat-howl \
  --enable-introspection=no \
  --disable-qt3
%make

%install
rm -rf %{buildroot}
%makeinstall_std
rm -f %{buildroot}/%{_sysconfdir}/%{name}/services/ssh.service
ln -s avahi-compat-howl.pc %buildroot%_libdir/pkgconfig/howl.pc
%if "%_lib" != "lib" && %build_mono
mkdir -p %buildroot%{_prefix}/lib
mv %buildroot%_libdir/mono %buildroot%{_prefix}/lib
perl -pi -e "s/%_lib/lib/" %buildroot%_libdir/pkgconfig/avahi-{,ui-}sharp.pc
%endif

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

# install hostname.d hook
mkdir -p %{buildroot}/%{_sysconfdir}/sysconfig/network-scripts/hostname.d/
install -m755 %SOURCE1 %{buildroot}/%{_sysconfdir}/sysconfig/network-scripts/hostname.d/avahi

%find_lang avahi

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%pre
%_pre_useradd %{name} %{_var}/%{name} /bin/false
%_pre_useradd %{name}-autoipd %{_var}/%{name} /bin/false

%postun
%_postun_userdel %{name}
%_postun_userdel %{name}-autoipd

%post
%_post_service %{name}-daemon


%preun
%_preun_service %{name}-daemon

%post dnsconfd
%_post_service %{name}-dnsconfd

%preun dnsconfd
%_preun_service %{name}-dnsconfd

%post -n %{lib_client_name}
/sbin/ldconfig

%postun -n %{lib_client_name}
/sbin/ldconfig

%post -n %{lib_common_name}
/sbin/ldconfig

%postun -n %{lib_common_name}
/sbin/ldconfig

%post -n %{lib_core_name}
/sbin/ldconfig

%postun -n %{lib_core_name}
/sbin/ldconfig

%post -n %{lib_dns_sd_name}
/sbin/ldconfig

%postun -n %{lib_dns_sd_name}
/sbin/ldconfig

%post -n %{lib_glib_name}
/sbin/ldconfig

%postun -n %{lib_glib_name}
/sbin/ldconfig

%post -n %{lib_gobject_name}
/sbin/ldconfig

%postun -n %{lib_gobject_name}
/sbin/ldconfig

%post -n %{lib_howl_name}
/sbin/ldconfig

%postun -n %{lib_howl_name}
/sbin/ldconfig

%post -n %{lib_qt3_name}
/sbin/ldconfig

%postun -n %{lib_qt3_name}
/sbin/ldconfig

%if %build_qt4
%post -n %{lib_qt4_name}
/sbin/ldconfig

%postun -n %{lib_qt4_name}
/sbin/ldconfig
%endif

%if %build_mono
%post sharp-doc
%{_bindir}/monodoc --make-index > /dev/null 2>/dev/null || :
%postun sharp-doc
if [ "$1" = "0" -a -x %{_bindir}/monodoc ]; then %{_bindir}/monodoc --make-index > /dev/null 2>/dev/null || :
fi
%endif

%files -f avahi.lang
%defattr(-,root,root)
%dir %{_sysconfdir}/%{name}/
%dir %{_sysconfdir}/%{name}/services/
%config(noreplace) %{_sysconfdir}/%{name}/hosts
%config(noreplace) %{_sysconfdir}/%{name}/%{name}-daemon.conf
%config(noreplace) %{_sysconfdir}/%{name}/avahi-autoipd.action
%config(noreplace) %{_sysconfdir}/%{name}/services/sftp-ssh.service
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/%{name}-dbus.conf
%{_initrddir}/%{name}-daemon
%{_sysconfdir}/sysconfig/network-scripts/hostname.d/avahi
%{_bindir}/%{name}-browse
%{_bindir}/%{name}-browse-domains
%{_bindir}/%{name}-publish
%{_bindir}/%{name}-publish-address
%{_bindir}/%{name}-publish-service
%{_bindir}/%{name}-resolve
%{_bindir}/%{name}-resolve-address
%{_bindir}/%{name}-resolve-host-name
%{_bindir}/%{name}-set-host-name
%{_sbindir}/%{name}-daemon
%{_sbindir}/avahi-autoipd
%{_datadir}/%{name}/%{name}-service.dtd
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/%{name}/service-types
%{_mandir}/man1/%{name}-browse-domains.1*
%{_mandir}/man1/%{name}-browse.1*
%{_mandir}/man1/%{name}-publish.1*
%{_mandir}/man1/%{name}-publish-address.1*
%{_mandir}/man1/%{name}-publish-service.1*
%{_mandir}/man1/%{name}-resolve.1*
%{_mandir}/man1/%{name}-resolve-address.1*
%{_mandir}/man1/%{name}-resolve-host-name.1*
%{_mandir}/man1/%{name}-set-host-name.1*
%{_mandir}/man5/%{name}-daemon.conf.5*
%{_mandir}/man5/%{name}.hosts.5*
%{_mandir}/man5/%{name}.service.5*
%{_mandir}/man8/%{name}-daemon.8*
%{_mandir}/man8/avahi-autoipd*
%dir %_libdir/avahi
%_libdir/avahi/service-types.db

%files dnsconfd
%defattr(-,root,root)
%{_sysconfdir}/%{name}/%{name}-dnsconfd.action
%{_initrddir}/%{name}-dnsconfd
%{_sbindir}/%{name}-dnsconfd
%{_mandir}/man8/%{name}-dnsconfd.8*
%{_mandir}/man8/%{name}-dnsconfd.action.8*

%files x11
%defattr(-,root,root)
%{_bindir}/%{name}-discover-standalone
%{_bindir}/bshell
%{_bindir}/bssh
%{_bindir}/bvnc
%{_datadir}/applications/bssh.desktop
%{_datadir}/applications/bvnc.desktop
%{_mandir}/man1/bssh.1*
%{_mandir}/man1/bvnc.1*
%{_datadir}/applications/%{name}-discover.desktop
%{_datadir}/%{name}/interfaces/%{name}-discover.ui

%files python
%defattr(-,root,root)
%{_bindir}/%{name}-bookmarks
%{_bindir}/%{name}-discover
%{py_puresitedir}/%{name}/*.py*
%{py_puresitedir}/avahi_discover/
%{_mandir}/man1/%{name}-discover.1*
%{_mandir}/man1/%{name}-bookmarks.1*

%if %build_mono
%files sharp
%defattr(-,root,root)
%{_prefix}/lib/mono/%{name}-sharp/%{name}-sharp.dll
%{_prefix}/lib/mono/gac/%{name}-sharp/
%{_libdir}/pkgconfig/%{name}-sharp.pc
%{_prefix}/lib/mono/%{name}-ui-sharp/%{name}-ui-sharp.dll
%{_prefix}/lib/mono/gac/%{name}-ui-sharp/
%{_libdir}/pkgconfig/%{name}-ui-sharp.pc

%files sharp-doc
%defattr(-,root,root)
%{_usr}/lib/monodoc/sources/%{name}-sharp-docs.source
%{_usr}/lib/monodoc/sources/%{name}-sharp-docs.tree
%{_usr}/lib/monodoc/sources/%{name}-sharp-docs.zip
%{_usr}/lib/monodoc/sources/%{name}-ui-sharp-docs.source
%{_usr}/lib/monodoc/sources/%{name}-ui-sharp-docs.tree
%{_usr}/lib/monodoc/sources/%{name}-ui-sharp-docs.zip
%endif

%files -n %{lib_client_name}
%defattr(-,root,root)
%{_libdir}/lib%{name}-client.so.%{client_major}*

%files -n %{lib_common_name}
%defattr(-,root,root)
%{_libdir}/lib%{name}-common.so.%{common_major}*

%files -n %{lib_core_name}
%defattr(-,root,root)
%{_libdir}/lib%{name}-core.so.%{core_major}*

%files -n %{lib_dns_sd_name}
%defattr(-,root,root)
%{_libdir}/libdns_sd.so.%{dns_sd_major}*

%files -n %{lib_glib_name}
%defattr(-,root,root)
%{_libdir}/lib%{name}-glib.so.%{glib_major}*

%files -n %{lib_gobject_name}
%defattr(-,root,root)
%{_libdir}/lib%{name}-gobject.so.%{gobject_major}*

%files -n %{lib_howl_name}
%defattr(-,root,root)
%{_libdir}/libhowl.so.%{howl_major}*

%files -n %{lib_qt3_name}
%defattr(-,root,root)
#%{_libdir}/lib%{name}-qt3.so.%{qt3_major}*

%if %build_qt4
%files -n %{lib_qt4_name}
%defattr(-,root,root)
%{_libdir}/lib%{name}-qt4.so.%{qt4_major}*
%endif

%files -n %{lib_ui_name}
%defattr(-,root,root)
%{_libdir}/lib%{name}-ui.so.%{ui_major}*

%files -n %{lib_ui_name}-gtk3
%defattr(-,root,root)
%{_libdir}/lib%{name}-ui-gtk3.so.%{ui_major}*


%files -n %develnameclient
%defattr(-,root,root)
%{_includedir}/%{name}-client
%{_libdir}/lib%{name}-client.so
%{_libdir}/pkgconfig/%{name}-client.pc


%files -n %develnamecommon
%defattr(-,root,root)
%{_includedir}/%{name}-common
%{_libdir}/lib%{name}-common.so

%files -n %develnamecore
%defattr(-,root,root)
%{_includedir}/%{name}-core
%{_libdir}/lib%{name}-core.so
%{_libdir}/pkgconfig/%{name}-core.pc

%files -n %develnamedns_sd
%defattr(-,root,root)
%{_includedir}/%{name}-compat-libdns_sd
%{_libdir}/libdns_sd.so
%{_libdir}/pkgconfig/%{name}-compat-libdns_sd.pc

%files -n %develnameglib
%defattr(-,root,root)
%{_includedir}/%{name}-glib
%{_libdir}/lib%{name}-glib.so
%{_libdir}/pkgconfig/%{name}-glib.pc

%files -n %develnamegobject
%defattr(-,root,root)
%{_includedir}/%{name}-gobject
%{_libdir}/lib%{name}-gobject.so
%{_libdir}/pkgconfig/%{name}-gobject.pc

%files -n %develnamehowl
%defattr(-,root,root)
%{_includedir}/%{name}-compat-howl
%{_libdir}/libhowl.so
%{_libdir}/pkgconfig/%{name}-compat-howl.pc
%{_libdir}/pkgconfig/howl.pc

%files -n %develnameqt3
%defattr(-,root,root)
#%{_includedir}/%{name}-qt3
#%{_libdir}/lib%{name}-qt3.so
#%{_libdir}/pkgconfig/%{name}-qt3.pc

%if %build_qt4
%files -n %develnameqt4
%defattr(-,root,root)
%{_includedir}/%{name}-qt4
%{_libdir}/lib%{name}-qt4.so
%{_libdir}/pkgconfig/%{name}-qt4.pc
%endif

%files -n %develnameui
%defattr(-,root,root)
%{_includedir}/%{name}-ui
%{_libdir}/lib%{name}-ui.so
%{_libdir}/lib%{name}-ui-gtk3.so
%{_libdir}/pkgconfig/%{name}-ui.pc
%{_libdir}/pkgconfig/%{name}-ui-gtk3.pc


%changelog
* Sat Aug 08 2015 bb <bb> 0.6.31-7pclos2015
- rebuild against updated glibc to fix elf error when
- updating full monty

* Wed Sep 25 2013 pinoc <vogtpet at gmail.com> 0.6.31-6pclos2013
- rebuild with build_mono enabled to generate avahi-sharp 
- patched post and postun of avahi-sharp-doc with "2>/dev/null || :" to remove error message 

* Thu Aug 15 2013 billybot <billybot> 0.6.31-5pclos2013
- rebuild for python 2.7

* Sun Jul 07 2013 Texstar <texstar at gmail.com> 0.6.31-4pclos2013
- dev/null isn't working so add post install message to avoid
- forum posts about it

* Sun Jul 07 2013 Texstar <texstar at gmail.com> 0.6.31-3pclos2013
- fix dev/null

* Sun Jul 07 2013 Texstar <texstar at gmail.com> 0.6.31-2pclos2013
- send output on post service to dev/null

* Sun Jul 07 2013 Texstar <texstar at gmail.com> 0.6.31-1pclos2013
- 0.6.31
- disable qt3

* Wed Feb 29 2012 Neal <nealbrks0 at gmail dot com> 0.6.30-2pclos2012
- process

* Wed Feb 29 2012 leiche <meisssw01 at gmail.com> 0.6.30-2pclos2012
- rebuild
- add libgtk+3.0-devel as build requires

* Thu Aug 25 2011 Texstar <texstar at gmail.com> 0.6.30-1pclos2011
- enable gtk3
- remove .la files not needed

* Thu Dec 16 2010 siamer <siamer@wp.pl> 0.6.28-1pclos2010
- new version

* Fri Sep 24 2010 Texstar <texstar at gmail.com> 0.6.27-5pclos2010
- apply debian patch to fix print issue

* Fri Sep 03 2010 Texstar <texstar at gmail.com> 0.6.27-4pclos2010
- rebuild against updated python 2.6.6

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 0.6.27-3pclos2010
- fix specfile

* Sat Aug 21 2010 Texstar <texstar at gmail.com> 0.6.27-2pclos2010
- new major libcore 7 not 6
- convert source to tar.xz

* Sat Jul 17 2010 maik3531 <maik3531 at yahoo.de> 0.6.27-1pclos2010
- 0.6.27
- add disable gtk3 and no introspection
- add german description
- remove *.la *.a

* Mon Jan 11 2010 Texstar <texstar at gmail.com> 0.6.25-3pclos2010
- build for updates

